There are some changes in beta 3 and this report may be usefull for someone... I can not find changelist.

if you get an error: Error: Target id is not valid. Use 'android.bat list targets' to get the target ids.
dont know why, but it seems that property androidAPILevel in json is no more available. Build process uses hardcoded level 7, so you MUST install level 7 from android SDK.

if you get an error: [WARN] The current working directory (some directory) is not a recognized SenchaSDK or application folder. Running in backwards compatible mode.
You MUST have file .senchasdk in folder where you run sencha command. Tha value of this file must be a path to sencha, (the one that you included in index.html file).

sticky post is not needed any more http://www.sencha.com/forum/showthread.php?187516-SDKTools-on-Windows-SenchaSDKTools-2.0.0-Beta